<?php use_helper('UrlFunctions'); ?>

<?php

if($control){//cuando se hizo el submit
 
  
 
  $o_MercadoBean = new MercadoBean();
  $o_MercadoBean->setIdMercado($id);
  $o_MercadoBean->setDescripcion($Descripcion);
  $o_MercadoBean->setDireccion($Direccion);
  $o_MercadoBean->setEstado($cboEstado);
  $o_MercadoBean->setTelefono($Telefono);
  $o_MercadoBean->setEliminado($Eliminado);
  $o_MercadoBean->setFechaModificacion(date("Y-m-d"));
  $o_MercadoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
    

    $o_MercadoSystemClass = new MercadoSystemClass($o_MercadoBean);
    $oMercadoDP = new MercadoDP($o_MercadoBean);
    $oMercadoDP->update();
    $bResult = 1;
  
    if($bResult){
    ?>
      <script language="JavaScript">
     	 parent.objMainTab.reqBody('<?=buildUrl('mer/'.$typeSubmit)?>','&block=001&insert=1&cod=<?=$o_MercadoBean->getIdMercado()?>');
      </script>
    <?
    }
       
  }
  
  


if($id){
	
  $o_MercadoBean = new MercadoBean();
  $o_MercadoBean->setIdMercado($id);
  $o_MercadoBL = new MercadoBL();
  $o_MercadoBean = $o_MercadoBL->busquedaMercadoDetalles($o_MercadoBean);
  $a_MercadoRepresentante = $o_MercadoBean[0]->getArrayMerColaborador();
  
} 


?>

<script>
validateControls = function(){
  var errOutput               = { error:false, msg:"" };
  var valueDescripcion             = $('Descripcion');
  var valueDireccion      = $('Direccion');
  
  if(valueDescripcion.value == ""){
    errOutput.error = true;
    errOutput.msg   += "Debe de digitar el Mercado.\n";
  }
  if(valueDireccion.value == ""){
    errOutput.error = true;
    errOutput.msg   += "Debe de digitar la Direccion.\n";
  }
   return errOutput;
}
</script>

<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>

<script type="text/javascript">
  validatePass = function(){
    valid.onSubmit = false;
  }
</script>

<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>

<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=NombreColaborador&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value,'selected');
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>
insertOptionDefault = function(){
  
  var table = $('tableContent');
  var countRows = table.rows.length;
  
  var tr = table.rows[countRows-1];
  var td = tr.cells[1];
  var idSelect = td.firstChild.id;
  
  values = [[idSelect,'rep_;_Colaborador']];
  
  actualizaJSON('', values);
  
}
</script>

<script>
events = function(type){
      switch (type){
      case 'submit':  
            $('form1').submit();
      break;
    }
}
</script>

<script>
buscaDetalle = function(e,elm){
  
  var charCode;
  if (navigator.appName == "Mozilla" || navigator.appName == "Netscape"){
    charCode = e.keyCode;
  }else{
    charCode = event.keyCode;
  }
  if (charCode == 114){
    
    var parentTr      = elm.parentNode.parentNode.id;
    var valueSelect   = $(parentTr + "_td_1_tipoColaborador[]").value;
    var url           = "";
    
    if(valueSelect != ""){
    	
      switch (valueSelect){
        case 'rep':
          url = '<?=buildUrlComplet('mnt.php/rep/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Representante';
        break;
      
      }
      parent.objMainTab.modalDialog(url,{title:'Busqueda de '+ tit,width:600,height:420});
    }else{
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;Seleccione el tipo para el ListFind.'); setTimeout('elementLoad.hide()', 1000);
    }
  }
}
</script>

<script>
actionSelect = function(elm){
  
  var parentTr      = elm.parentNode.parentNode.id;
  
  $(parentTr + "_td_2_IdColaborador[]").value = "";
  $(parentTr + "_td_3").innerHTML = "&nbsp;";
 
}

actionCod = function(elm){
  //alert("Hola");
  elm       = $(elm);
  elm.value = elm.value.trim();
  var elmValue = elm.value;
  
  parentTr = elm.parentNode.parentNode.id;
  
  elmDestino = parentTr + "_td_3";
  
  if(elmValue != ""){
    
    if(!grid.validateByColumn(2, elm, 'INPUT')){
    
      var parentTr      = elm.parentNode.parentNode.id;
      var valueSelect   = $(parentTr + "_td_1_tipoColaborador[]").value;
      
      $(elmDestino).innerHTML = "&nbsp;";
      formItem.loadProcess(parentTr + "_td_3");
      actualizarElementos(elmValue, elmDestino, valueSelect);
      
    }else{
      
      elm.value = "";
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;El Empleado ya fue Ingresado'); setTimeout('elementLoad.hide()', 1000);
      $(elmDestino).innerHTML = "&nbsp;";
      
    }
    
  }
  
}
</script>

<script type="text/javascript">
tinyMCE.init({

//mode : "textareas",

theme : "advanced",

elements : "txtTitulo",

theme_advanced_toolbar_align : "left",

theme_advanced_toolbar_location : "top"



});

</script>

<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Mercado</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha del Mercado</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST" onsubmit="validatePass();" >
      <input type="hidden" name="control" value="1">
      <input type="hidden" name="IdMercado" id="IdMercado">
       <!-- <input type="hidden" name="txtivnid" id="txtivnid"> -->
      <fieldset>
       <legend class="fielsettex"><I>Datos Generales</I></legend>
			
      <table   width="100%" class="marco" style="background: #E3E9E2">
        <tr>
          <td valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="50%" height="80" valign="top"><table height="80" border="0" cellpadding="0" cellspacing="2" class="SubCabecera">
                    
                     <tr>
  					   <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDescripcion" >Mercado</label></td>
  					   <td nowrap="nowrap"><input name="Descripcion" id="Descripcion" size="35" type="text" class="text" value="<?php echo $o_MercadoBean[0]->getDescripcion()?>"/></td>
  						<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
                  		<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtTelefono" >Tel�fono</label></td>
                  		<td nowrap="nowrap"><input name="Telefono" id="Telefono" size="10" type="text" class="text" value="<?php echo $o_MercadoBean[0]->getTelefono()?>"/></td>
  						
				   </tr>
				   <tr>
                        <td colspan="5">&nbsp;</td>
                     </tr>
				   <tr>
				     <td nowrap="nowrap" width="10%" class="cabecera"><label class="label" for="txtDireccion">Direcci&oacute;n</label></td>
  					 <td nowrap="nowrap" ><textarea  name="Direccion" id="Direccion" cols="32" rows="2"><?php echo $o_MercadoBean[0]->getDireccion()?></textarea></td>
  					 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
  					  <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtEstado" >Estado</label></td>
					  <td nowrap="nowrap" width="38%">
					   <select name="cboEstado" id="cboEstado" type="text" class="combo"/> 
						 <option value="" >Selecione</option>
						 <option value="A" <?php  if($o_MercadoBean[0]->getEstado() == 'A') echo "selected='selected'"?>>Activo</option>
						  <option value="I" <?php  if($o_MercadoBean[0]->getEstado() == 'I') echo "selected='selected'"?>>Inactivo</option>
					   </select>
					 </td>
				   </tr>
                </table>
                </td>
              </tr>
            </table>
            <br>
            </form>
            
                  <div align="right">
                  <input type="hidden" name="typeSubmit" id="typeSubmit" onkeyup="">
                  <input class="button" type="button" value="Grabar" onclick="$('typeSubmit').value='list'; events('submit');"/>
                  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.reqBody('<?=buildUrl('mer/list')?>','001')" />
                  </div>
          </td>
        </tr>
       </table>
       </fieldset>

    </td>
  </tr>
</table>


<script type="text/javascript">
	function formCallback(result, form) {
		window.status = "valiation callback for form '" + form.id + "': result = " + result;
	}
	var valid = new Validation('form1', {immediate : true});
</script>

